About a module ffi, which is required in a regression test of luaossl

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

About a module ffi, which is required in a regression test of luaossl

Lemures Lemniscati
Hi!

I'm trying to build and test luaossl from source [1] on cygwin.

But when I ran regress/104-interposition-discarded.lua, it failed with a
message:

> regress: module ffi required

I would like to know which 'ffi' module is required.
Is it luaffi [2] ?

Or, shuold I ask in the upstream [1], as an issue?

[1]: https://github.com/wahern/luaossl/archive/rel-20200709.tar.gz
[2]: https://luarocks.org/modules/colesbury/luaffi

Regards,

Lem
Reply | Threaded
Open this post in threaded view
|

Re: About a module ffi, which is required in a regression test of luaossl

Diogo Mildenberger
Hello!

I am given to understand that it could be referring to the built-in ffi module from luajit

Diogo

Em sáb, 30 de jan de 2021 07:32, Lemures Lemniscati <[hidden email]> escreveu:
Hi!

I'm trying to build and test luaossl from source [1] on cygwin.

But when I ran regress/104-interposition-discarded.lua, it failed with a
message:

> regress: module ffi required

I would like to know which 'ffi' module is required.
Is it luaffi [2] ?

Or, shuold I ask in the upstream [1], as an issue?

[1]: https://github.com/wahern/luaossl/archive/rel-20200709.tar.gz
[2]: https://luarocks.org/modules/colesbury/luaffi

Regards,

Lem
Reply | Threaded
Open this post in threaded view
|

Re: About a module ffi, which is required in a regression test of luaossl

Lemures Lemniscati
Thank you, Diogo.

So, the test regress/104-interposition-discarded.lua, might be a test
for luajit.

I tried to run it under Lua 5.3 and Lua 5.4. I've decided to skip it.

Regards,

Lem


On Sat, 30 Jan 2021 07:59:05 -0300, Diogo Mildenberger

> I am given to understand that it could be referring to the built-in ffi
> module from luajit
> https://luajit.org/ext_ffi.html
>
> Diogo
>
> Em sáb, 30 de jan de 2021 07:32, Lemures Lemniscati <
> [hidden email]> escreveu:
> > I'm trying to build and test luaossl from source [1] on cygwin.
> >
> > But when I ran regress/104-interposition-discarded.lua, it failed with a
> > message:
> >
> > > regress: module ffi required
> >
> > I would like to know which 'ffi' module is required.
> > Is it luaffi [2] ?
> >
> > Or, shuold I ask in the upstream [1], as an issue?
> >
> > [1]: https://github.com/wahern/luaossl/archive/rel-20200709.tar.gz
> > [2]: https://luarocks.org/modules/colesbury/luaffi